// Copyright (c) 2017 PlanGrid, Inc.

import React from 'react';
import 'styles/unsupported.scss';

const UnsupportedViewer = props => (
  <div className="pg-driver-view">
    <div className="unsupported-message">
      {props.unsupportedComponent
        ? <props.unsupportedComponent {...props} />
        : <p className="alert"><b>{`.${props.fileType}`}</b> 格式不支持的。<a href={props.filePath} target="_blank">跳转查看</a></p>}
    </div>
  </div>
);

export default UnsupportedViewer;
